API Reference
Auto-generated
Attribution
API reference for attribution endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/attribution/settings
GET
/api/v1/attribution/settingsGet Attribution Settings
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/attribution/settings \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"enabled": true,
"override": "example"
}PATCH /api/v1/attribution/settings
PATCH
/api/v1/attribution/settingsUpdate Attribution Settings
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| enabled | boolean | Optional | enabled |
Request Example
Bash
curl -X PATCH https://api.alterlab.io/api/v1/attribution/settings \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"enabled": true,
"override": "example"
}